Bug 485872 - [drm] MTRR allocation failed
[drm] MTRR allocation failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 01:51 EST by Mace Moneta
Modified: 2009-03-30 08:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-21 18:16:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg (40.57 KB, text/plain)
2009-02-17 01:51 EST, Mace Moneta
no flags Details

  None (edit)
Description Mace Moneta 2009-02-17 01:51:27 EST
Created attachment 332181 [details]
Dmesg

Description of problem:

Running rawhide on a Supermicro C2SEA motherboard, 8GB RAM, G45/X4500HD.  No xorg.conf.  Graphics performance is slow.  I noticed in /var/log/messages:

Feb 16 23:54:33 slayer kernel:[drm] Initialized drm 1.1.0 20060810
Feb 16 23:54:33 slayer kernel:mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
Feb 16 23:54:33 slayer kernel:[drm] MTRR allocation failed
Feb 16 23:54:33 slayer kernel:.  Graphics performance may suffer.


Version-Release number of selected component (if applicable):

kernel-2.6.29-0.122.rc5.fc11.x86_64

How reproducible:

Always

Steps to Reproduce:
1.Boot
2.Login
3.Slow video
  
Actual results:

Slow video

Expected results:

Fast video

Additional info: The kernel doesn't always boot successfully, but that's a separate issue.
Comment 1 Mace Moneta 2009-02-17 18:36:06 EST
I booted with kernel option "enable_mtrr_cleanup" and the MTRR now has an appropriate write-combining range:

reg00: base=0x000000000 (    0MB), size= 2048MB, count=1: write-back
reg01: base=0x080000000 ( 2048MB), size= 1024MB, count=1: write-back
reg02: base=0x0bde00000 ( 3038MB), size=    2MB, count=1: uncachable
reg03: base=0x0be000000 ( 3040MB), size=   32MB, count=1: uncachable
reg04: base=0x100000000 ( 4096MB), size= 4096MB, count=1: write-back
reg05: base=0x200000000 ( 8192MB), size= 1024MB, count=1: write-back
reg06: base=0x0d0000000 ( 3328MB), size=  256MB, count=1: write-combining

Xorg.0.log says:

(--) PCI:*(0@0:2:0) Intel Corporation 4 Series Chipset Integrated Graphics Controller rev 3, Mem @ 0xfe400000/4194304, 0xd0000000/268435456, I/O @ 0x0000cc00/8, BIOS @ 0x????????/131072

But there is no change in performance.  Glxgears, for example, is about 45% slower than F10.
Comment 2 Mace Moneta 2009-02-21 18:16:30 EST
With recent updates and the enable_mtrr_cleanup option, performance is back within a few percent of F10.  Closing.

Note You need to log in before you can comment on or make changes to this bug.